package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.PropInfo;

/**
 * 资产管理Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IPropInfoService 
{
    /**
     * 查询资产管理
     * 
     * @param propId 资产管理主键
     * @return 资产管理
     */
    public PropInfo selectPropInfoByPropId(Long propId);

    /**
     * 查询资产管理列表
     * 
     * @param propInfo 资产管理
     * @return 资产管理集合
     */
    public List<PropInfo> selectPropInfoList(PropInfo propInfo);

    /**
     * 新增资产管理
     * 
     * @param propInfo 资产管理
     * @return 结果
     */
    public int insertPropInfo(PropInfo propInfo);

    /**
     * 修改资产管理
     * 
     * @param propInfo 资产管理
     * @return 结果
     */
    public int updatePropInfo(PropInfo propInfo);

    /**
     * 批量删除资产管理
     * 
     * @param propIds 需要删除的资产管理主键集合
     * @return 结果
     */
    public int deletePropInfoByPropIds(Long[] propIds);

    /**
     * 删除资产管理信息
     * 
     * @param propId 资产管理主键
     * @return 结果
     */
    public int deletePropInfoByPropId(Long propId);
}
